{% extends 'base.html' %}

{% block title %}Графики{% endblock %}

<script>
{% block jquery %}
var endpoint = '/api/charts/'
var incomeAmountData = [];
var incomeBackgroundColor = [];
var expensesAmountData = [];
var expensesBackgroundColor = [];
var labels = [];

var currentMonthExpenseData = [];
console.log(currentMonthExpenseData);

var currentMonthMostExpense = Math.max(currentMonthExpenseData);
console.log(Math.max.apply(Math, currentMonthExpenseData));
var currentMonthMostLabels = [];
$.ajax({
    method: "GET",
    url: endpoint,
    success: function(data){
        console.log(data)
        monthData = data.forEach(function(obj) {
            labels.push(obj.slug);
            incomeAmountData.push(obj.income_amount);
            incomeBackgroundColor.push('rgba(50,205,50)');
            expensesAmountData.push(obj.expenses_amount);
            expensesBackgroundColor.push('rgba(255, 5,68)');
        })
        console.log(incomeAmountData)
        budgetData = data.forEach(function(obj) {
            obj.budget_entries.forEach(function(budget) {
                currentMonthExpenseData.push(parseInt(budget.amount));
            })
        })
        var ctx = document.getElementById('myChart').getContext('2d');
        var myChart = new Chart(ctx, {
            type: 'bar',
            data: {
                datasets: [{
                    label: 'Доходы за месяц',
                    data: incomeAmountData,
                    backgroundColor: incomeBackgroundColor
                }, {
                    label: 'Расходы за месяц',
                    data: expensesAmountData,
                    backgroundColor: expensesBackgroundColor
                }],
                labels: labels,
            }
        })
        var ctx2 = document.getElementById('myChart2').getContext('2d');
        var myChart2 = new Chart(ctx2, {
            type: 'bar',
            data: {
                datasets: [{
                    label: 'Наибольшие затраты по в текущем месяце',
                    data: incomeAmountData,
                }],
                labels: labels,
            }
        })
    },
    error: function(error_data){
        console.log("error")
        console.log(error_data)
    }
});

{% endblock %}
</script>
{% block content %}
<div class="col-5">
    <canvas id="myChart" width="50" height="50"></canvas>
    <canvas id="myChart2" width="50" height="50"></canvas>

</div>
{% endblock %}
